Bug 171313 - both archivers/freeze 2.5_2 and multimedia/mlt 0.8.0_1 install /usr/local/bin/melt
Summary: both archivers/freeze 2.5_2 and multimedia/mlt 0.8.0_1 install /usr/local/bin...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-04 10:10 UTC by bartsch
Modified: 2016-09-24 22:36 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bartsch 2012-09-04 10:10:09 UTC
freeze-2.5_2 and mlt-0.8.0_1 both install /usr/local/bin/melt.
multimedia/mlt is marked as CONFLICT_INSTALL with freeze, but archivers/freeze
is not marked as CONFLICT_INSTALL with mlt.
If mlt has been installed first, freeze overrides this binary without any warning:

$ pkg_info -W /usr/local/bin/melt 
pkg_info: both freeze-2.5_2 and mlt-0.8.0_1 claim to have installed /usr/local/bin/melt

/usr/local/bin/melt was installed by package freeze-2.5_2

In order to get both ports installed together, /usr/local/bin/melt should be renamed in one of these ports.
Comment 1 bartsch 2012-09-20 10:50:14 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Sorry, this PR has got the wrong category. It should be moved to "ports".
- -- 
Regards
Alfred Bartsch
Data-Service GmbH
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAlBa5tYACgkQ5QGe2JdVf3hG3ACffxExO3VWDDFpqj7d5OWObUrX
pTIAoJbIoowFLmNKlcAijtBhsqgBr2xI
=OxFc
-----END PGP SIGNATURE-----
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2014-04-20 03:48:01 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

rescue this PR languishing in 'misc'.
Comment 3 Edwin Groothuis freebsd_committer 2014-04-20 03:48:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gabor

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 4 commit-hook freebsd_committer 2016-09-24 22:35:48 UTC
A commit references this bug:

Author: rm
Date: Sat Sep 24 22:34:59 UTC 2016
New revision: 422738
URL: https://svnweb.freebsd.org/changeset/ports/422738

Log:
  archivers/freeze: register conflict with multimedia/mlt

  Both ports installing bin/melt binary, but freeze lacks
  corresponding CONFLICTS entry.

  PR:		171313
  Reported by:	bartsch@dssgmbh.de
  Approved by:	maintainer timeout

Changes:
  head/archivers/freeze/Makefile
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2016-09-24 22:36:30 UTC
Committed, thank you!